Bug 61998 - PostgreSQL support for mail/vpopmail 5.3.30 (correction)
Summary: PostgreSQL support for mail/vpopmail 5.3.30 (correction)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-27 18:40 UTC by Sascha Luck
Modified: 2006-11-03 11:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Luck 2004-01-27 18:40:11 UTC
vpopmail-5.3.30 supports PostgreSQL but this isn't reflected in th
e port.

Fix: 

Makefile diff follows:

50,51
> WITH_PGSQL= yes #- allow authentication via PostgreSQL (NOT TESTED!)
> WITH_PGSQL_LOG= yes#- enable logging into PostgreSQL db
121a124,132
> 
> .if defined(WITH_PGSQL)
> CONFIGURE_ARGS+=      --enable-postgres=y \
>                       --enable-passwd=n 
> .if defined(WITH_PGSQL_LOG)
> CONFIGURE_ARGS+=      --enable-pgsql-logging=y \
>                       --enable-auth-logging=y 
> .endif
> .endif
(END)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-01-30 09:29:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to maintainer.
Comment 2 Peter Pentchev freebsd_committer 2004-01-30 18:03:44 UTC
State Changed
From-To: open->analyzed

I committed a preliminary version of the PostgreSQL authentication support, 
adding the necessary library dependency handling (we need to depend on 
either databases/postgresql-client or databases/postgresql7 or some other 
suitable port containing the PostgreSQL client libraries) and a first shot 
at a scheme of specifying database connection credentials like the MySQL 
authentication does - WITH_PGSQL_USER and WITH_PGSQL_DB.  The support for 
a server different from localhost and a password is a bit harder - I'll 
have to patch the vpgsql.h and vpgsql.c files - but I guess I'll do it 
over the weekend. 

Thanks for the idea, and for the patch!
Comment 3 Palle Girgensohn freebsd_committer 2006-11-03 11:25:54 UTC
State Changed
From-To: analyzed->closed

outdated PR